Retrieve a batch
Returns a batch using an object ID.
Batch shipments are displayed 100 at a time. You can iterate through each page using the ?page= query parameter. You can also filter based on batch shipment status, for example, by passing a query param like ?object_results=creation_failed.
For more details on filtering results, see our guide on filtering.
Authorizations
API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123
Headers
Optional string used to pick a non-default API version to use. See our API version guide.
"2018-02-08"
Path Parameters
Object ID of the batch
Query Parameters
The page number you want to select
The number of results to return per page (max 100, default 5)
x <= 100Response
Batch
ID of the Carrier Account object to use as the default for all shipments in this Batch. The carrier account can be changed on a per-shipment basis by changing the carrier_account in the corresponding BatchShipment object.
"078870331023437cb917f5187429b093"
Token of the service level to use as the default for all shipments in this Batch. The servicelevel can be changed on a per-shipment basis by changing the servicelevel_token in the corresponding BatchShipment object. Servicelevel tokens can be found here.
"usps_priority"
Array of BatchShipment objects. The response keeps the same order as in the request array.
An array of URLs each pointing to a merged file of 100 labels each
Date and time of Batch creation
"2016-01-04T00:15:44.394Z"
Unique identifier of the given Batch object
"5ef63c54f5bf45d3b1f8fb37dcb1c5f4"
Username of the user who created the Batch object.
"shippo@shippo.com"
An object containing the following counts: creation_succeeded, creation_failed, purchase_succeeded, purchase_failed
Date and time of last update to the Batch
"2016-01-04T00:48:13.841Z"
VALIDATING: the batch is being created and validatedVALID: the batch can be purchasedINVALID: the batch cannot be purchased;INVALIDBatchShipments must be removedPURCHASING: the batch is being purchasedPURCHASED: the batch is finished purchasing
VALIDATING, VALID, INVALID, PURCHASING, PURCHASED "VALID"
Print format of the label. If empty, will use the default format set from the Shippo dashboard.
PNG, PNG_2.3x7.5, PDF, PDF_2.3x7.5, PDF_4x6, PDF_4x8, PDF_A4, PDF_A5, PDF_A6, ZPLII "PDF_4x6"
A string of up to 100 characters that can be filled with any additional information you want to attach to the object.
100"BATCH #1"
false